﻿using Hotline.Orders;
using Hotline.Orders.Notifications;
using MediatR;
using XF.Domain.Repository;


namespace Hotline.Application.Handlers.Order
{
    public class AddVisitNotifyHandler : INotificationHandler<AddVisitNotify>
    {


        private readonly IRepository<OrderVisit> _orderVisitRepository;
        private readonly IRepository<OrderVisitDetail> _orderVisitedDetailRepository;
        public AddVisitNotifyHandler(IRepository<OrderVisit> orderVisitRepository, IRepository<OrderVisitDetail> orderVisitedDetailRepository)
        {
            _orderVisitRepository = orderVisitRepository;
            _orderVisitedDetailRepository = orderVisitedDetailRepository;
        }


        public async Task Handle(AddVisitNotify notification, CancellationToken cancellationToken)
        {
            await _orderVisitedDetailRepository.AddRangeAsync(notification.OrderVisitedDetails, cancellationToken);
        }
    }
}
