﻿using Hotline.File;
using Hotline.Orders;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Share.Dtos.File;
using MapsterMapper;
using Microsoft.AspNetCore.Http;
using SqlSugar;
using System.Threading;
using XF.Domain.Authentications;
using XF.Domain.Dependency;
using XF.Domain.Repository;

namespace Hotline.Repository.SqlSugar.File
{
	public class FileRepository : BaseRepository<Hotline.File.File>, IFileRepository, IScopeDependency
	{
		private readonly ISessionContext _sessionContext;
		private readonly IMapper _mapper;
		public FileRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder, ISessionContext sessionContext, IMapper mapper) : base(uow, dataPermissionFilterBuilder)
		{
			_sessionContext = sessionContext;
			_mapper = mapper;
		}

		public async Task AddFileAsync(List<FileDto> files, string id, CancellationToken cancellationToken) 
		{
			List<Hotline.File.File> newFiles =  new List<Hotline.File.File>();
			foreach (FileDto file in files)
			{
				file.OrgName = _sessionContext.OrgName;
				file.OrgId = _sessionContext.OrgId;
				file.UserId = _sessionContext.UserId;
				file.UserName = _sessionContext.UserName;
				file.Key = id;
				var model = _mapper.Map<Hotline.File.File>(file);
				newFiles.Add(model);
			}
			await AddRangeAsync(newFiles, cancellationToken);
		}
	}
}
