﻿using Hotline.Share.Dtos.File;
using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Order
{
	public class OrderSuperviseDto
	{
		/// <summary>
		/// 附件列表
		/// </summary>
		public List<FileDto> Files { get; set; } = new();
	}

	public class ApplyOrderSuperviseDto : OrderSuperviseDto
	{
		/// <summary>
		/// 工单ID
		/// </summary>
		public string OrderId { get; set; }

		/// <summary>
		/// 被督办部门ID
		/// </summary>
		public string OrgId { get; set; }

		/// <summary>
		/// 被督办部门名称
		/// </summary>
		public string OrgName { get; set; }

		/// <summary>
		/// 督办回复时限
		/// </summary>
		public DateTime ReplyLimitTime { get; set; }

		/// <summary>
		/// 督办申请内容
		/// </summary>
		public string ApplyContent { get; set; }

		/// <summary>
		/// 是否接受短信，勾选校验手机号
		/// </summary>
		public bool AcceptSms { get; set; }
	}
	public class ReplyOrderSuperviseDto : OrderSuperviseDto
	{

		public string Id { get; set; }

		/// <summary>
		/// 督办回复内容
		/// </summary>
		public string ReplyContent { get; set; }


		/// <summary>
		/// 回复人
		/// </summary>
		public string? ReplyId { get; set; }
	}

	public class SignOrderSuperviseDto 
	{
		public string Id { get; set; }
	}


}
