﻿using Hotline.Settings;
using Hotline.Users;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Orders {
	[Description("督办")]
	public class OrderSupervise : FullStateEntity
	{
		/// <summary>
		/// 工单ID
		/// </summary>
		[SugarColumn(ColumnDescription = "工单ID")]
		public string OrderId { get; set; }

		/// <summary>
		/// 督办回复时限
		/// </summary>
		[SugarColumn(ColumnDescription = "督办回复时限")]
		public DateTime ReplyLimitTime { get; set; }

		/// <summary>
		/// 被督办部门ID
		/// </summary>
		[SugarColumn(ColumnDescription = "被督办部门ID")]
		public string OrgId { get; set; }

		/// <summary>
		/// 被督办部门名称
		/// </summary>
		[SugarColumn(ColumnDescription = "被督办部门名称")]
		public string OrgName { get; set; }

		/// <summary>
		/// 创建部门名称
		/// </summary>
		[SugarColumn(ColumnDescription = "创建部门名称")]
		public string? CreatorOrgName { get; set; }

		/// <summary>
		/// 督办状态
		/// </summary>
		[SugarColumn(ColumnDescription = "督办状态   0 待回复  1 已回复")]
		public int State { get; set; }

		/// <summary>
		/// 督办签收时间
		/// </summary>
		[SugarColumn(ColumnDescription = "督办签收时间")]
		public DateTime? SignTime { get; set; }

		/// <summary>
		/// 督办回复时间
		/// </summary>
		[SugarColumn(ColumnDescription = "督办回复时间")]
		public DateTime? ReplyTime { get; set; }

		/// <summary>
		/// 督办申请内容
		/// </summary>
		[SugarColumn(ColumnDescription = "督办申请内容", ColumnDataType = "varchar(2000)")]
		public string? ApplyContent { get; set; }

		/// <summary>
		/// 督办回复内容
		/// </summary>
		[SugarColumn(ColumnDescription = "督办回复内容", ColumnDataType = "varchar(2000)")]
		public string? ReplyContent { get; set; }

		/// <summary>
		/// 回复人
		/// </summary>
		[SugarColumn(ColumnDescription = "回复人")]
		public string? ReplyId { get; set; }

		/// <summary>
		/// 
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(OrderId))]
		public Order Order { get; set; }


		[Navigate(NavigateType.OneToOne, nameof(ReplyId))]
		public User ReUser { get; set; }

		[Navigate(NavigateType.OneToOne, nameof(CreatorId))]
		public User CrUser { get; set; }
	}
}